# Unity Batch FBX Exporter

Exports one or more FBX files from Blender compatible with Unity's coordinate system and scaling.

Inspired by [Blender Unity Tools] (https://github.com/marcinjackowiak/blender-unity-tools) and [Unity Tools] https://gist.github.com/richy486/57edb832752e1298adeaa4a24eaf66f7


## How To Use

Use this exporter for simple objects without armature and/or animations.

Regardless of method, you first need to save your .blend file and click to set Export Path.

Method 1:
 * Select method "Apply Transform"
 * Use selection "All Objects" or "Selection" based on your preference
 * Click "Batch FBX Export"
 
Method 2 (if the above doesn't work as expected)
 * Select method "Rotated Copy"
 * Use selection "All Objects" or "Selection" based on your preference
 * Click "Batch FBX Export"
 
Method 3 (if the above still doesn't work)
 * Select all objects that you want to export
 * Click "Fix Rotation"
 * Select method "Rotated Copy"
 * Use selection "All Objects" or "Selection" based on your preference
 * Click "Batch FBX Export"
 
 The resulting FBX file should now import correctly into Unity with Z axis being forward, Y axis being up and with a scale of 1.
 